<?php
/********************************************************
* Enhanced About Page
* Version: 0.01  
* Official support: n/a
* Founder: Lucas-ruroken & Vicram10
* Date: 2010
/**********************************************************/

	$install = false;
	
	if(file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	{
		require_once(dirname(__FILE__) . '/SSI.php');
		$install = true;
	}
	elseif (!defined('SMF'))
		die('Enhanced about page wasn\'t able to conect to smf');
	
	db_extend('packages');
	
	global $smcFunc, $modSettings;
	
	
	// Table: SMF_eap_pages
	$tables[] = array(
		'table_name' => '{db_prefix}eap_pages',
		'columns' => array(
			array(
				'name' => 'id_page',
				'auto' => true,
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'sa_url',
				'auto' => false,
				'type' => 'varchar',
				'size' => 255,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'subject',
				'auto' => false,
				'type' => 'varchar',
				'size' => 255,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'body',
				'auto' => false,
				'type' => 'text',
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'type',
				'auto' => false,
				'type' => 'varchar',
				'size' => 4,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'enable',
				'auto' => false,
				'type' => 'int',
				'size' => 1,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'style_body',
				'auto' => false,
				'type' => 'int',
				'size' => 1,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'style_title',
				'auto' => false,
				'type' => 'int',
				'size' => 1,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'page_order',
				'auto' => false,
				'type' => 'int',
				'size' => 10,
				'null' => false,
				'unsigned' => true,
			),
		),
		'indexes' => array(
			array(
				'columns' => array('id_page'),
				'type' => 'primary',
			),
		),
		'if_exists' => 'ignore',
		'error' => 'fatal',
		'parameters' => array(),
	);
	
	// Table: SMF_eap_settings
	$tables[] = array(
		'table_name' => '{db_prefix}eap_settings',
		'columns' => array(
			array(
				'name' => 'variable',
				'auto' => false,
				'type' => 'varchar',
				'size' => 255,
				'null' => false,
				'unsigned' => true,
			),
			array(
				'name' => 'value',
				'auto' => false,
				'type' => 'text',
				'null' => false,
				'unsigned' => true,
			),
		),
		'indexes' => array(),
		'if_exists' => 'ignore',
		'error' => 'fatal',
		'parameters' => array(),
	);
	
	//Yeah... Create tables
	foreach ($tables as $table)
		$smcFunc['db_create_table']($table['table_name'], $table['columns'], $table['indexes'], $table['parameters'], $table['if_exists'], $table['error']);
	
	//Insert into SMF_settings
	$default_settings = array(
		'eap_enable' => 0,
		'eap_default_page' => 'us',
	);
	
	foreach ($default_settings as $new_setting => $new_value)
	{
		if (empty($modSettings[$new_setting]))
			updateSettings(array($new_setting => $new_value));
	}
	
	//Insert into SMF_eap_settings
	$eap_settings = array(
		//About Page
		'eap_about_enable' => 1,
		'eap_about_text' => 'Hi everyone!',
		'eap_about_style_body' => 1,
		'eap_about_style_title' => 1,
		'eap_about_type' => 'bbc',
		//Team Page
		'eap_team_enable' => 1,
		'eap_team_groups_toshow' => 1,
		'eap_team_style_body' => 1,
		'eap_team_style_title' => 1,
	);
	
	$replace_array = array();
	foreach ($eap_settings as $variable => $value)
		$replace_array[] = array($variable, $value);

	$smcFunc['db_insert']('ignore', '{db_prefix}eap_settings', array('variable' => 'string-255', 'value' => 'string-65534'), $replace_array, array('variable'));
	
	global $scripturl;
	if($install)
		echo'Done... Please, go to your <a href="'.$scripturl.'">forum</a>';
?>
